# HOWTO Automating ECCS SPs Metadata download with PyFF Metadata Aggregator

1. [Introduction](#introduction)
2. [Install](#install)
3. [Configure](#configure)
4. [Automating SPs metadata download](#automating-sps-metadata-download)
5. [Authors](#authors)

## Introduction

The eduGAIN Connectivity Check Service (ECCS), uses two Service Provider belonging to different NREN that are members of eduGAIN interfederation.
The ECCS Python script gets the SPs' HTTP-Post AssertionConsumerService URL from the "sps-metadata.xml" file placed into "input" directory.
The mechanism chosen to update regularly the "sps-metadata.xml" file involves the PyFF Metadata Aggregator because it allows to download the NREN SPs metadata, validate it with the metadata certificate provided  and create the "sps-metadata.xml" file as output.
The following instruction will help to install, configure and use PyFF for ECCS.

## Requirements

* Python >= 3.7

## Install

1) Create another Virtualenv for PyFF:
   * `$HOME/eccs/python/bin/virtualenv --python=$HOME/eccs/python/bin/python3 pyff-venv`

2) Upgrade PIP:
   * `$HOME/eccs/pyff-venv/bin/python3 -m pip install --upgrade pip`

3) Activate PyFF Virtualenv:
   * `source $HOME/eccs/pyff-venv/bin/activate`
   
4) Install PyFF:
   * `pip install -U pyff`
   
## Configure

1) For Python 3.10:
   * `vim $HOME/eccs/pyff-venv/lib/python3.10/site-packages/xmlsec/crypto.py`

     `from collections import MutableMapping as DictMixin` have to be:
     `from collections.abc import MutableMapping as DictMixin`
     
2) Download eduGAIN metadata certificate:
   * `cd $HOME/eccs/pyff-config`
   * `wget https://mdx.idem.garr.it/idem-mdx-service-crt.pem`

## Automating SPs metadata download

Configure the cron job for the local user to automate downloading SPs metadata:

   * `crontab -e`

     ```bash
     0 3 * * * $HOME/eccs/pyff-venv/bin/pyff $HOME/eccs/pyff-config/sps-metadata.xml
     ```

     This cron job must be performed before the ECCS script because it provides the SPs endpoints it needs.

## Authors

### Original Author

   * Marco Malavolti (marco.malavolti@garr.it)
